package com.fs.xiaoshouyi.service;

import com.fs.xiaoshouyi.domain.XsyAccount;

import java.util.List;

public interface XsyAccountService {

    /**
     * 分页查询账号列表
     */
    List<XsyAccount> selectList(XsyAccount query);

    /**
     * 查询列表根据id列表
     */
    List<XsyAccount> selectListByIds(List<Long> ids);

    /**
     * 查询单个
     */
    XsyAccount selectById(Long id);

    /**
     * 新增
     */
    int insert(XsyAccount account);

    /**
     * 修改
     */
    int update(XsyAccount account);

    /**
     * 删除
     */
    int deleteById(Long id);

    /**
     * 获取授权URL
     */
    String getAuthUrl(Long accountId);
}